# $Id: mpeg2dec.spec,v 1.5 2003/03/30 14:46:51 dude Exp $

Summary: MPEG-2 and MPEG-1 decoding library and test program.
Name: mpeg2dec
Version: 0.4.0b
Release: 1.PU_IAS.3
License: LGPL
Group: System Environment/Libraries
Source: http://libmpeg2.sourceforge.net/files/%{name}-%{version}.tar.gz
Patch1: mpeg2dec-0.4.0-pic.patch
URL: http://libmpeg2.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-root
Requires: xorg-x11, /sbin/ldconfig
BuildRequires: xorg-x11, pkgconfig

%description
A free library for decoding MPEG-2 and MPEG-1 video streams.


%package devel
Summary: Development files for mpeg2dec's libmpeg2.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}, pkgconfig

%description devel
A free library for decoding MPEG-2 and MPEG-1 video streams.

This package contains files needed to build applications that use mpeg2dec's
libmpeg2.


%prep
%setup -q -n mpeg2dec-0.4.0
%patch1 -p1 -b .pic

%build
%configure --enable-shared --disable-sdl \
%ifnarch %{ix86}
    --disable-accel-detect \
%endif
           --with-pic
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
%makeinstall

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README TODO
%{_bindir}/*
%{_libdir}/*.so.*
%{_mandir}/man1/*

%files devel
%defattr(-, root, root)
%{_includedir}/*
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Thu May 01 2003 Josko Plazonic <plazonic@math.princeton.edu>
- rebuilt for local use

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.

* Thu Jan 16 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.3.1.

* Mon Oct 28 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Major spec file cleanup.

* Mon Jun 17 2002 Thomas Vander Stichele <thomas@apestaart.org>
- remove .la
- release 3

* Wed May 29 2002 Thomas Vander Stichele <thomas@apestaart.org>
- wrote out the different libs
- added docs
- removed autogen.sh option

* Wed May 08 2002 Erik Walthinsen <omega@temple-baptist.com>
- changed whitespace
- removed %attr and changed %defattr to (-,root,root)

* Fri May 03 2002 Thomas Vander Stichele <thomas@apestaart.org>
- adapted from PLD spec for 0.2.1

